Get top videos
GET
/analytics/v1/top/videosReturns the top videos over a date range
Authorization
Bearer Authorization<token>
In: header
Query Parameters
limit?string
Maximum number of results
start?string
Start date (inclusive)
end?string
End date (inclusive)
Response Body
200application/json
OK
type: unknown
{
"$ref": "#/components/schemas/analyticsv1.TopVideosResponse",
"$ref-value": {
"properties": {
"videos": {
"items": {
"$ref": "#/components/schemas/analyticsv1.VideoStats",
"$ref-value": {
"properties": {
"avg_watch_time_ms": {
"type": "number"
},
"completion_rate": {
"type": "number"
},
"completions": {
"type": "integer"
},
"starts": {
"type": "integer"
},
"total_views": {
"type": "integer"
},
"total_watch_time_ms": {
"type": "number"
},
"unique_viewers": {
"type": "integer"
},
"video_id": {
"type": "string"
},
"watches": {
"type": "integer"
}
},
"type": "object"
}
},
"type": "array"
}
},
"type": "object"
}
}curl -X GET "https://api.rixl.com/analytics/v1/top/videos"OK
application/json
{
"$ref": "#/components/schemas/analyticsv1.TopVideosResponse",
"$ref-value": {
"properties": {
"videos": {
"items": {
"$ref": "#/components/schemas/analyticsv1.VideoStats",
"$ref-value": {
"properties": {
"avg_watch_time_ms": {
"type": "number"
},
"completion_rate": {
"type": "number"
},
"completions": {
"type": "integer"
},
"starts": {
"type": "integer"
},
"total_views": {
"type": "integer"
},
"total_watch_time_ms": {
"type": "number"
},
"unique_viewers": {
"type": "integer"
},
"video_id": {
"type": "string"
},
"watches": {
"type": "integer"
}
},
"type": "object"
}
},
"type": "array"
}
},
"type": "object"
}
}